Package org.eclipse.net4j.util.container

# Interface IContainer.Persistable<E>

All Superinterfaces:
  `IContainer<E>`, `INotifier`

All Known Implementing Classes:
  `ListContainer`, `PersistableContainer`, `SetContainer`

Enclosing interface:
  `IContainer<E>`

public static interface IContainer.Persistable<E> extends IContainer<E>
A `container` with additional methods to add or remove elements.

Since:
  3.5
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`IContainer.Persistence<E>`
`getPersistence()`
`void`
`load()`
`void`
`save()`
`void`
`setPersistence(IContainer.Persistence<E> persistence)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getPersistence

IContainer.Persistence<E> getPersistence()

### setPersistence

void setPersistence(IContainer.Persistence<E> persistence)

### load

void load() throws IORuntimeException

Throws:
  `IORuntimeException`

### save

void save() throws IORuntimeException

Throws:
  `IORuntimeException`